'***********************************************************
'**
'** p16f877.inc : PIC 16f877 specific definitions
'**
'** Copyright (c) 2004, Kyle A. York
'** All rights reserved
'**
'***********************************************************
'
' conventions:
'    PIC registers begin with a '_'
'    after any configuration register follow the configuration bits
'    at the moment, the names are used internally by the PICbsc
'    compiler, so do not change them!
'
'
' not all of these are going to be used, so prevent the
' 'variable...unused' warning
'
' This defines that which is specific to the p16f877
'
pragma WARN OFF           ' no warnings from here down
CONSTANT BYTE _portct = 5 ' ports A,B,C,D,E available
include "p16f87x.inc"     ' let's get all of the common stuff

BYTE VOLATILE _portd      @ $0008
BYTE VOLATILE _porte      @ $0009
BYTE VOLATILE _trisd      @ $0088
BYTE VOLATILE _trise      @ $0089
  CONSTANT BYTE _ibf     = 7
  CONSTANT BYTE _obf     = 6
  CONSTANT BYTE _ibov    = 5
  CONSTANT BYTE _pspmode = 4
  CONSTANT BYTE _trise2  = 2
  CONSTANT BYTE _trise1  = 1
  CONSTANT BYTE _trise0  = 0

'
' these are used when entering into the ISR.
' _isr_w *must* exist in all banks at the same offset. on PICs
' with a shared region at the top, it should be placed there.
'
BYTE VOLATILE _isr_w      @$007c [ALL]
BYTE VOLATILE _isr_status @$007e [ALL]
BYTE VOLATILE _isr_pclath @$007f [ALL]
'
' this is needed by the pic code
'
BYTE VOLATILE _loop       @$0020
'
' define the DATA areas
'
pragma DATA      $20,$7F
pragma DATA      $a0,$ef
pragma DATA      $110,$16f
pragma DATA      $190,$1ef

pragma CODE      8192 ' amount of code space available
pragma PICLOADER 6*1024
pragma WARN ON ' resume normal warnings
